Bug 1001371 - Web Assets
Summary: Web Assets
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: release-notes
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Travis
QA Contact: Fedora Docs QA
URL:
Whiteboard:
Depends On: F20WebAssets
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-26 23:14 UTC by Pete Travis
Modified: 2013-09-08 22:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: F20WebAssets
Environment:
Last Closed: 2013-09-08 22:13:20 UTC


Attachments (Terms of Use)

Description Pete Travis 2013-08-26 23:14:50 UTC
+++ This bug was initially created as a clone of Bug #998583 +++

This is a tracking bug for Change: Web Assets
For more details, see: http://fedoraproject.org//wiki/Changes/Web_Assets

Traditionally, Fedora has been pushing bits from its various servers to people's browsers in an ad-hoc fashion, and issues surrounding JavaScript have been swept under the rug.  This change proposal provides a simple framework for shipping static web content and a way forward to treat JavaScript more closely to other code in the distribution.

Discussion at https://lists.fedoraproject.org/pipermail/devel-announce/2013-July/001197.html

Please create entries for this Change in the Release Notes.

Comment 1 T.C. Hollingsworth 2013-08-27 03:48:13 UTC
Please note that significant parts of this Change have been put off till Fedora 21:
https://fedorahosted.org/fesco/ticket/1147#comment:10

Right now, the only thing that will be present in Fedora 21 is the filesystem directories, but they're going to be made available in earlier Fedora releases to enable ongoing unbundling efforts, so they won't exactly be new by the time Fedora 20 releases.  ;-)

So, I'm not sure if there's anything to mention in the release notes, since all the changes in F20 will be pretty-much packager-focused only.

Comment 2 Pete Travis 2013-09-08 22:11:10 UTC
The initiative is notable, but perhaps this isn't the best venue for announcing it to the world.  I'll defer to your judgement and visit this again for F21.


Note You need to log in before you can comment on or make changes to this bug.